/**
 * Checks if the provided SWIFT/BIC code is valid.
 *
 * @param {string} swiftCode - The SWIFT/BIC code to validate.
 * @returns True if the SWIFT/BIC code is valid, false otherwise.
 *
 * @example
 * ```
 * const isValid = isValidSWIFT('DEUTDEFF');
 * console.log(isValid); // true
 *
 * const isValidInvalid = isValidSWIFT('INVALID');
 * console.log(isValidInvalid); // false
 * ```
 */
export declare function isValidSWIFT(swiftCode: string): boolean;
//# sourceMappingURL=validateSwift.d.ts.map